Latest 2.0.0
Homepage https://github.com/bjarkehs/DizzyKit
License MIT
Platforms ios 8.0
Authors

DizzyKit Build Status

Simple animation library that allows you to easily animate things.

This framework is heavily inspired by Spruce.
The reason I made this is because I needed a framework to do animations without having to put them in a container view first.

Installation

Swift version matrix

Below is a table that shows which version of DizzyKit you should use for
your Swift version.

Swift DizzyKit
4.X 2.X
3.X 1.X

CocoaPods

Use the following entry in your Podfile:

pod 'DizzyKit', '~> 2.0'

Then run pod install.

Usage

let animations: [AnimationType] = [.fadeIn, .slide(.up, .moderately)]

view.dizzy.prepare(with: animations)
view.dizzy.animate(animations)

Latest podspec

{
    "name": "DizzyKit",
    "version": "2.0.0",
    "summary": "Simple animation library that allows you to easily animate things",
    "description": "DizzyKit removes a lot of boilerplate code for simple animations,nwhile staying extendable.",
    "homepage": "https://github.com/bjarkehs/DizzyKit",
    "license": "MIT",
    "authors": {
        "Bjarke Hesthaven Su00f8ndergaard": "[email protected]"
    },
    "platforms": {
        "ios": "8.0"
    },
    "source": {
        "git": "https://github.com/bjarkehs/DizzyKit.git",
        "tag": "2.0.0"
    },
    "source_files": "Sources/**/*.{swift}",
    "pushed_with_swift_version": "4.0"
}

Pin It on Pinterest

Share This